/*
	2001 Microsoft Corporation. All rights reserved.
*/

var iBaseOffsetLeft			= 237;
var iBaseOffsetTop			= 88;

var iLeftDrawerClosedPos	= 8+iBaseOffsetLeft;
var iLeftDrawerOpenedPos	= 58;

var iRightDrawerClosedPos	= 121+iBaseOffsetLeft;
var iRightDrawerOpenedPos	= 311+iBaseOffsetLeft;

var iDrawerPosY				= 105+iBaseOffsetTop;

var bEqualizerOpen			= false;
var bPlaylistOpen			= false;

var bVideoPlaying			= false;
var bVisualizerOpen			= false;

var iVolumeSmallLeft		= 285;
var iVolumeSmallTop			= 75+iBaseOffsetTop;
var iMinCloseSmallLeft		= 326;
var iMinCloseSmallTop		= 75+iBaseOffsetTop;

var iVideoSmallLeft			= 93+iBaseOffsetLeft;
var iVideoSmallTop			= 114+iBaseOffsetTop;
var iVideoSmallWidth		= 194;
var iVideoSmallHeight		= 109;

var iProgressSmallLeft		= iBaseOffsetLeft+94;
var iProgressSmallTop		= iBaseOffsetTop+224;
var iProgressSmallWidth		= 192;

var iProgress320Left		= iBaseOffsetLeft+5+28;
var iProgress320Top			= 312;
var iProgress320Width		= 319;

var iScreenCtrls320Left		= 312;
var iScreenCtrls320Top		= 3;

var iLeftDrawer320ClosedPos	= 187
var iLeftDrawer320OpenedPos	= 0;

var iRightDrawer320ClosedPos= 417;
var iRightDrawer320OpenedPos= 607;

var iVolume320Left			= 418;
var iVolume320Top			= 65;
var iMinClose320Left		= 438;
var iMinClose320Top			= 18;

var iVideo320Left			= 269;
var iVideo320Top			= 71;
var iVideo320Width			= 320;
var iVideo320Height			= 240;

var iScreenCtrls640Left		= 745;
var iScreenCtrls640Top		= 11;
var iVolume640Left			= 869;
var iVolume640Top			= 218;

var kVideoSmall				= 1;
var kVideo320				= 2;
var iVideoMode				= kVideoSmall;

var visClosedPos = 33;
var visOpenedPos = 59;
var visIsOpen	 = false;
var vidIsPlaying = false;

var widthClosed = 549;
var widthOpened = 760

var speed = 120;

////////////////////////////////////////////////////////////////////////////////

function Init()
{
	playlist.setColumnResizeMode( 0, "Stretches" );
	playlist.setColumnResizeMode( 1, "AutoSizeData" );

	Visualizer.currentEffectType = mediacenter.effectType;
	Visualizer.currentPreset = mediacenter.effectPreset;

	bVideoPlaying = (player.OpenState == osMediaOpen) &&
					(player.currentMedia.ImageSourceWidth>0);
	bVideoPlaying ? VideoStart() : VideoEnd();
}

////////////////////////////////////////////////////////////////////////////////

function OnClose()
{
	mediacenter.effectType = Visualizer.currentEffectType;
	mediacenter.effectPreset = Visualizer.currentPreset;
}

////////////////////////////////////////////////////////////////////////////////

function VideoStart()
{
	bVideoPlaying		= true;
	Visualizer.visible	= false;
	btnAlbumArt.visible	= false;
	Video.visible		= true;
}

////////////////////////////////////////////////////////////////////////////////

function VideoEnd()
{
	btnAlbumArt.visible	= false;
	Video.visible		= false;
	bVideoPlaying		= false;
	Visualizer.visible	= true;
}

////////////////////////////////////////////////////////////////////////////////

function LeftDrawerEndMove()
{
	if( bPlaylistOpen )
	{
		playlist.visible = true;
	}
}

////////////////////////////////////////////////////////////////////////////////

function ToggleEqualizer()
{
	if( bEqualizerOpen )
	{
		bEqualizerOpen = false;
		btnRightDrawerClose.visible = false;
		svEqualizer.visible = false;
//		btnEqualizerReset.visible = false;
		svRightDrawer.moveTo( GetRightDrawerClosedPos(), svRightDrawer.top, speed );
		btnEqualizerToggle.upToolTip = xEqTt.toolTip;
		btnRightDrawerClose.upToolTip = "";
		btnRightDrawerToggle.upToolTip = xEqTt.toolTip;
	}
	else
	{
		bEqualizerOpen = true;
		svEqualizer.visible = true;
//		btnEqualizerReset.visible = true;
		svRightDrawer.moveTo( GetRightDrawerOpenedPos(), svRightDrawer.top, speed );
		btnRightDrawerClose.visible = true;
		btnEqualizerToggle.upToolTip = xEqTt.value;
		btnRightDrawerClose.upToolTip = xEqTt.value;
		btnRightDrawerToggle.upToolTip = xEqTt.value;
	}
}

////////////////////////////////////////////////////////////////////////////////

function TogglePlaylist()
{
	if( bPlaylistOpen )
	{
		bPlaylistOpen = false;
		playlist.visible = false;
		btnLeftDrawerClose.visible = false;
		svLeftDrawer.moveTo( GetLeftDrawerClosedPos(), svLeftDrawer.top, speed );
		btnPlaylistToggle.upToolTip = xPlTt.toolTip;
		btnLeftDrawerClose.upToolTip = "";
		btnLeftDrawerToggle.upToolTip = xPlTt.toolTip;
	}
	else
	{
		bPlaylistOpen = true;
		svLeftDrawer.moveTo( GetLeftDrawerOpenedPos(), svLeftDrawer.top, speed );
		btnLeftDrawerClose.visible = true;
		btnPlaylistToggle.upToolTip = xPlTt.value;
		btnLeftDrawerClose.upToolTip = xPlTt.value;
		btnLeftDrawerToggle.upToolTip = xPlTt.value;
	}
}

////////////////////////////////////////////////////////////////////////////////

function DisplayVisualizer()
{
	btnAlbumArt.visible	= false;
	Video.visible		= false;
	Visualizer.visible	= true;
}

////////////////////////////////////////////////////////////////////////////////

function DisplayAlbumArt()
{
	Video.visible		= false;
	Visualizer.visible	= false;
	if( iVideoMode==kVideoSmall )
	{
		btnAlbumArt.image	= "WMPImage_AlbumArtSmall";
	}
	else
	{
		btnAlbumArt.image	= "WMPImage_AlbumArtLarge";
	}
	btnAlbumArt.visible	= true;
}

////////////////////////////////////////////////////////////////////////////////

function ShowVideoSmall()
{
	iVideoMode = kVideoSmall;

	sv320.visible = false;
	svBaseMinClose.visible = true;

//	sv640.visible = false;
//	svScreenCtrls.left	= iScreenCtrlsSmallLeft;
//	svScreenCtrls.top	= iScreenCtrlsSmallTop;
//	svVolume.left		= iVolumeSmallLeft;
//	svVolume.top		= iVolumeSmallTop;
//	svMinClose.left		= iMinCloseSmallLeft;
//	svMinClose.top		= iMinCloseSmallTop;

//	svProgress.left		= iProgressSmallLeft;
//	svProgress.top		= iProgressSmallTop;
//	svProgress.width	= iProgressSmallWidth;

	svDisplay.left		= iVideoSmallLeft;
	svDisplay.top		= iVideoSmallTop;
	svDisplay.width		= iVideoSmallWidth;
	svDisplay.height	= iVideoSmallHeight;

	Video.width			= iVideoSmallWidth;
	Video.height		= iVideoSmallHeight;

	Visualizer.width	= iVideoSmallWidth;
	Visualizer.height	= iVideoSmallHeight;

	btnAlbumArt.width	= iVideoSmallWidth;
	btnAlbumArt.height	= iVideoSmallHeight;

	if( bPlaylistOpen )
		svLeftDrawer.left	= iLeftDrawerOpenedPos;
	else
		svLeftDrawer.left	= iLeftDrawerClosedPos;

	if( bEqualizerOpen )
		svRightDrawer.left	= iRightDrawerOpenedPos;
	else
		svRightDrawer.left	= iRightDrawerClosedPos;

//	svScreenCtrls.visible = false;
	svScreenCtrlsSmall.visible = true;
	svProgressSmall.visible = true;

	if( btnAlbumArt.visible )
		DisplayAlbumArt();
}

////////////////////////////////////////////////////////////////////////////////

function ShowVideo320()
{
	iVideoMode = kVideo320;
//	sv640.visible = false;
	sv320.visible = true;
	svBaseMinClose.visible = false;
	
//	svScreenCtrls.left	= iScreenCtrls320Left;
//	svScreenCtrls.top	= iScreenCtrls320Top;
//	svVolume.left		= iVolume320Left;
//	svVolume.top		= iVolume320Top;
//	svMinClose.left		= iMinClose320Left;
//	svMinClose.top		= iMinClose320Top;

//	svProgress.left		= iProgress320Left;
//	svProgress.top		= iProgress320Top;
//	svProgress.width	= iProgress320Width;

	svDisplay.left		= iVideo320Left;
	svDisplay.top		= iVideo320Top;
	svDisplay.width		= iVideo320Width;
	svDisplay.height	= iVideo320Height;

	Video.width			= iVideo320Width;
	Video.height		= iVideo320Height;

	Visualizer.width	= iVideo320Width;
	Visualizer.height	= iVideo320Height;

	btnAlbumArt.width	= iVideo320Width;
	btnAlbumArt.height	= iVideo320Height;

	if( bPlaylistOpen )
		svLeftDrawer.left	= iLeftDrawer320OpenedPos;
	else
		svLeftDrawer.left	= iLeftDrawer320ClosedPos;

	if( bEqualizerOpen )
		svRightDrawer.left	= iRightDrawer320OpenedPos;
	else
		svRightDrawer.left	= iRightDrawer320ClosedPos;
	
	svScreenCtrlsSmall.visible = false;
	svProgressSmall.visible = false;

//	svScreenCtrls.visible = true;

	if( btnAlbumArt.visible )
		DisplayAlbumArt();
}

////////////////////////////////////////////////////////////////////////////////

function GetRightDrawerOpenedPos()
{
	var iPos;
	if( iVideoMode==kVideoSmall )
		iPos = iRightDrawerOpenedPos;
	else
		iPos = iRightDrawer320OpenedPos;
	return iPos;
}

////////////////////////////////////////////////////////////////////////////////

function GetRightDrawerClosedPos()
{
	var iPos;
	if( iVideoMode==kVideoSmall )
		iPos = iRightDrawerClosedPos;
	else
		iPos = iRightDrawer320ClosedPos;
	return iPos;
}

////////////////////////////////////////////////////////////////////////////////

function GetLeftDrawerOpenedPos()
{
	var iPos;
	if( iVideoMode==kVideoSmall )
		iPos = iLeftDrawerOpenedPos;
	else
		iPos = iLeftDrawer320OpenedPos;
	return iPos;
}

////////////////////////////////////////////////////////////////////////////////

function GetLeftDrawerClosedPos()
{
	var iPos;
	if( iVideoMode==kVideoSmall )
		iPos = iLeftDrawerClosedPos;
	else
		iPos = iLeftDrawer320ClosedPos;
	return iPos;
}

////////////////////////////////////////////////////////////////////////////////

function AdjustAudio()
{
	eq.gainLevel2 = (8*bass.value +   treble.value)/9;
	eq.gainLevel3 = (7*bass.value + 2*treble.value)/9;
	eq.gainLevel4 = (6*bass.value + 3*treble.value)/9;
	eq.gainLevel5 = (5*bass.value + 4*treble.value)/9;
	eq.gainLevel6 = (4*bass.value + 5*treble.value)/9;
	eq.gainLevel7 = (3*bass.value + 6*treble.value)/9;
	eq.gainLevel8 = (2*bass.value + 7*treble.value)/9;
	eq.gainLevel9 = (  bass.value + 8*treble.value)/9;
}

////////////////////////////////////////////////////////////////////////////////
